<?php
$dostup_country = true; // Проверка наличия государства
include_once('../inclfiles/core.php');
$work = mysql_fetch_array(mysql_query("SELECT * FROM `works` WHERE `id` = 3"));

if($id != null){
	$all = mysql_num_rows(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$id.""));
	if($all != 0){
	    $building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = ".$id.""));
	    $building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$id.""));
		$title = 'Улучшение сооружения '.$building_type['name_rp'];
		include_once('../inclfiles/head.php');
		if(mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `country` = ".$country['id']." AND `type` = ".$building_all['type']."")) == 0){
        	t('В Вашем государстве нет сооружения данного типа');
        	a('uluch.php?','Улучшить что-нибудь другое','uluch');
        	include_once('../inclfiles/foot.php');
        }

        $building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country` = ".$country['id']." AND `type` = ".$building_all['type'].""));

	    if($building['status'] == 'built') $eerr = 'строится';
	    if($building['status'] == 'destroyed') $eerr = 'разрушено';
	    if(mysql_num_rows(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = ".$building['type']." AND `level` = ".($building['level']+1)."")) == 0) $eerr = 'улучшено до максимума';
	    if(mysql_num_rows(mysql_query("SELECT * FROM `tasks` WHERE `country` = ".$country['id']." AND `work` = 3 AND `work_type` = ".$building_all['type']."")) > 0) $eerr = 'уже улучшается';

		if($eerr != null){
			t('Сооружение данного типа '.$eerr);
			a('uluch.php?','Улучшить что-нибудь другое','uluch');
			include_once('../inclfiles/foot.php');
	    }

     	$next_building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = ".$building['type']." AND `level` = ".($building['level']+1).""));
       	$rab_max = ceil($next_building_all['time'] / $set['built_time_max']);


		if($_POST['ok'] != NULL) {
			$kolvo_rab = abs(intval($_POST['kolvo_rab']));
			if(!res_proverka($next_building_all['money'],$next_building_all['wood'],$next_building_all['stone'],$next_building_all['iron'],0,$next_building_all['oil'],0)) $err[] = 'Недостаточно ресурсов';
			if($kolvo_rab == 0) $err[] = 'Не введено количество рабочих';
			if($kolvo_rab > $rab_max) $err[] = 'Данное сооружение не могут строить столько рабочих';
			if($kolvo_rab > $country['peoples_free']) $err[] = 'Недостаточно свободных рабочих';
            if (!isset($err)){
            	$ostalos = floor($next_building_all['time']/$kolvo_rab);
                mysql_query("INSERT INTO `tasks` SET `work` = 3,`mans` = '".$work['mans']."', `country` = ".$country['id'].", `number` = ".$kolvo_rab.", `work_type` = ".$building_all['type'].",`time_start` = ".time().", `time_end` = ".(time() + $ostalos)."");
             	mysql_query("UPDATE `countries` SET `peoples_free`= (`peoples_free` - ".$kolvo_rab."), `money`= (`money` - ".$next_building_all['money']."), `wood`= (`wood` - ".$next_building_all['wood']."), `stone`= (`stone` - ".$next_building_all['stone']."), `iron`= (`iron` - ".$next_building_all['iron']."), `oil`= (`oil` - ".$next_building_all['oil'].") WHERE `id` = ".$country['id']." ");
				t('Постройка улучшения успешно начата<br/>До завершения осталось: '.period($ostalos));
              	a('uluch.php?','Улучшить еще что-нибудь','uluch');
              	include_once('../inclfiles/foot.php');
            }
		}

		err();
  		t('Текущий уровень: '.$building['level'].' ('.$building_all['name'].')');
        res_nado('улучшения',$next_building_all['money'],$next_building_all['wood'],$next_building_all['stone'],$next_building_all['iron'],0,$next_building_all['oil'],0);

		if(res_proverka($next_building_all['money'],$next_building_all['wood'],$next_building_all['stone'],$next_building_all['iron'],0,$next_building_all['oil'],0)){
  			if($country['peoples_free'] > 0){
               	 	if($country['peoples_free'] >= $rab_max) $kolvo = $rab_max;
                	else $kolvo = $country['peoples_free'];
					echo '<form action="uluch.php?id='.$id.'&'.$gets.'" method="POST">';
					c('Количество рабочих (у Вас '.chislo($country['peoples_free'],'свободный рабочий','свободных рабочих','свободных рабочих').'):<br/><input type="text" name="kolvo_rab" value="'.$kolvo.'"/><br/><small>Улучшать сооружение данного типа могут не более '.chislo($rab_max,'рабочего','рабочих','рабочих').'</small><br/><input name="ok" type="submit" value="Строить улучшение" />');
					echo '</form>';
			}
			else t('У Вас нет свободных рабочих');
		}
		else t('Недостаточно свободной территории либо ресурсов для улучшения сооружения');
	}
	else{
		$title = 'Ошибка';
		include_once('../inclfiles/head.php');
		t('Данный тип сооружений не найден');
	}
	a('uluch.php?','Улучшить что-нибудь другое','uluch');
}
else{
	$title = $work['name'];
	include_once('../inclfiles/head.php');
	$count = 0;
	$all = mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` NOT IN (SELECT `work_type` FROM `tasks` WHERE `country`= ".$country['id']."  AND `work` = 3)"));
	if($all != 0){
		$buildings = mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `status` = 'builted' AND `zdorov` = 100 AND `type` NOT IN (SELECT `work_type` FROM `tasks` WHERE `country`= ".$country['id']."  AND `work` = 3) ORDER BY `type` ASC");
		while($building = mysql_fetch_array($buildings)){
            $nextlevel = $building['level'] + 1;
            if(mysql_num_rows(mysql_query("SELECT * FROM `buildings_all` WHERE `type`= ".$building['type']." AND `level` = ".$nextlevel."")) != 0){
            	$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type`= ".$building['type']." AND `level` = ".$nextlevel.""));
				$building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$building['type'].""));
				if($set['images'] == 'on') echo '<a class="building_link" href="uluch.php?id='.$building['type'].'&'.$gets.'"><table><tr><td class="building_left"><center><img src="/images/buildings/'.$building_all['id'].'.jpg" alt=""></center></td><td class="building_right">'.$building_all['name'].'<br/><small>'.$building_type['name'].' ('.$nextlevel.' уровень)</small></td></tr></table></a>';
        		else a('uluch.php?id='.$building['type'].'&',$building_all['name'].'<br/><small>'.$building_type['name'].' ('.$nextlevel.' уровень)</small>','none');
                $count++;
            }
		}
	}
	else{
		t('В Вашем государстве еще не было построено ни одно сооружение');
		a('/tasks/built.php?','Построить сооружение','built');
	}
	if($count == 0){
       	t('Все сооружения Вашего государства улучшены до максимума');
	}
}
a('new_task.php?','Добавление задач','add');
include_once('../inclfiles/foot.php');
?>